## ros-melodic-executive-smach-visualization 4.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(executive_smach_visualization)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-melodic-executive-smach-visualization 3.0.0

=== debian/changelog ===
ros-melodic-executive-smach-visualization (3.0.0-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'origin/indigo-devel' into melodic-devel
  * Contributors: Kei Okada

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 10 Dec 2019 15:00:00 -0000

ros-melodic-executive-smach-visualization (2.0.2-1stretch) stretch; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 25 Oct 2017 15:00:00 -0000

ros-melodic-executive-smach-visualization (2.0.1-1stretch) stretch; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#15 <https://github.com/ros-visualization/executive_smach_visualization/issues/15>)
  * Contributors: Kei Okada

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 19 Jun 2017 15:00:00 -0000

ros-melodic-executive-smach-visualization (2.0.0-1stretch) stretch; urgency=high

  * Adding metapackage
  * Contributors: Jonathan Bohren

 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 16 Apr 2014 15:00:00 -0000

ros-melodic-executive-smach-visualization (1.1.0-1stretch) stretch; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 28 Jun 2013 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-executive-smach-visualization
Section: misc
Priority: extra
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/smach
Standards-Version: 3.9.2

Package: ros-melodic-executive-smach-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-smach-viewer
Description: This metapackage depends on the SMACH visualization tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-executive-smach-visualization//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-executive-smach-visualization 4.1.0

=== debian/changelog ===
ros-melodic-executive-smach-visualization (4.1.0-1bionic) bionic; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 23 Feb 2023 15:00:00 -0000

ros-melodic-executive-smach-visualization (4.0.1-1bionic) bionic; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 01 Aug 2022 15:00:00 -0000

ros-melodic-executive-smach-visualization (4.0.0-1bionic) bionic; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 22 Jul 2022 15:00:00 -0000

ros-melodic-executive-smach-visualization (3.0.1-1bionic) bionic; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Aug 2020 15:00:00 -0000

ros-melodic-executive-smach-visualization (3.0.0-1bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/indigo-devel' into melodic-devel
  * Contributors: Kei Okada

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 10 Dec 2019 15:00:00 -0000

ros-melodic-executive-smach-visualization (2.0.2-1bionic) bionic; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 25 Oct 2017 15:00:00 -0000

ros-melodic-executive-smach-visualization (2.0.1-1bionic) bionic; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#15 <https://github.com/ros-visualization/executive_smach_visualization/issues/15>)
  * Contributors: Kei Okada

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 19 Jun 2017 15:00:00 -0000

ros-melodic-executive-smach-visualization (2.0.0-1bionic) bionic; urgency=high

  * Adding metapackage
  * Contributors: Jonathan Bohren

 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 16 Apr 2014 15:00:00 -0000

ros-melodic-executive-smach-visualization (1.1.0-1bionic) bionic; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 28 Jun 2013 15:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-executive-smach-visualization
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Jonathan Bohren <jbo@jhu.edu>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
 Homepage: http://ros.org/wiki/smach

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
